Try:

apt-get install libaugeas-ruby
apt-get install libaugeas-ruby1.8

And rerun the update config command.


--
Brian Quinn

Co-Founder, CTO
Spree Commerce, Inc.
http://spreecommerce.com

On Sunday 9 December 2012 at 03:12, DavidS wrote:

Bump...

The install didn't seem to work. I posted the log in the last email. Could you take a look when you get a chance?

Thanks!

--
You received this message because you are subscribed to the Google Groups "Spree" group.
To view this discussion on the web visit https://groups.google.com/d/msg/spree-user/-/sxFoBil-PP4J.
To post to this group, send email to spree-user@googlegroups.com (mailto:spree-user@googlegroups.com).
To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com (mailto:spree-user+unsubscribe@googlegroups.com).
For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.

--
You received this message because you are subscribed to the Google Groups "Spree" group.
To post to this group, send email to spree-user@googlegroups.com.
To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.

Search Discussions

  • David Schontzler at Dec 10, 2012 at 8:57 pm
    Almost the same output as last time. You can observe both outputs here:

    https://gist.github.com/4253338

    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To post to this group, send email to spree-user@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.
  • David Schontzler at Dec 11, 2012 at 8:19 pm
    After running the first command it says:

    Killing previous bluepilld[1096]

    And the status is "start/running"

    But when I run the update script I get the same thing with the same warning:

    Warning: Augeas[set puppet start default](provider=augeas): Loading failed
    for one or more files, see debug for /augeas//error output

    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To post to this group, send email to spree-user@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.
  • Brian Quinn at Dec 13, 2012 at 11:09 am
    That's warning is fine, I think your sever is not configured correctly is the app responding now?

    If not check the contents of the logs in /data/spree/current/logs/




    --
    Brian Quinn

    Co-Founder, CTO
    Spree Commerce, Inc.
    http://spreecommerce.com

    On Tuesday 11 December 2012 at 20:19, David Schontzler wrote:

    After running the first command it says:

    Killing previous bluepilld[1096]

    And the status is "start/running"

    But when I run the update script I get the same thing with the same warning:

    Warning: Augeas[set puppet start default](provider=augeas): Loading failed for one or more files, see debug for /augeas//error output

    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To post to this group, send email to spree-user@googlegroups.com (mailto:spree-user@googlegroups.com).
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com (mailto:spree-user+unsubscribe@googlegroups.com).
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To post to this group, send email to spree-user@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit this group at http://groups.google.com/group/spree-user?hl=en.
  • Johanb at May 2, 2013 at 5:21 pm
    Hey Brian,

    I've got a similar problem, I got to run the update but zero-downtime does
    not seem to work for me. Could you help me figure out why not ?

    These are the log outputs:

    https://gist.github.com/anonymous/e708e5693902856818d0

    I've removed the spree script at /etc/init

    When I deploy the site goes down with a 500 error for about a minute before
    it comes back up. The deploy script is the latest:

    namespace :foreman do
    desc "Export the Procfile to Bluepill's .pill script"
    task :export, :roles => :app do
    run "cd #{current_path} && bundle exec foreman export bluepill
    /data/#{application}/shared/config"
    sudo "bluepill load
    /data/#{application}/shared/config/#{application}.pill"
    end

    desc "Start the application services"
    task :start, :roles => :app do
    sudo "bluepill #{application} start"
    end

    desc "Stop the application services"
    task :stop, :roles => :app do
    sudo "bluepill #{application} stop"
    end

    desc "Restart the application services"
    task :restart, :roles => :app do
    sudo "bluepill #{application} restart"
    end
    end

    Thanks in advance.


    >
    --
    Brian Quinn

    Co-Founder, CTO
    Spree Commerce, Inc.
    http://spreecommerce.com

    On Tuesday 11 December 2012 at 20:19, David Schontzler wrote:

    After running the first command it says:

    Killing previous bluepilld[1096]

    And the status is "start/running"

    But when I run the update script I get the same thing with the same
    warning:

    Warning: Augeas[set puppet start default](provider=augeas): Loading failed
    for one or more files, see debug for /augeas//error output

    --
    You received this message because you are subscribed to the Google Groups
    "Spree" group.
    To post to this group, send email to spree...@googlegroups.com<javascript:>
    .
    To unsubscribe from this group, send email to
    spree-user+...@googlegroups.com <javascript:>.
    For more options, visit this group at
    http://groups.google.com/group/spree-user?hl=en.

    --
    Don't miss SpreeConf on May 20-21: http://spreeconf.com
    Spree is hiring: http://spreecommerce.com/careers
  • Brian Quinn at May 3, 2013 at 9:52 am
    Johan & I worked through this issue on IRC this morning, if anyone else is
    having the problem can you please ensure the server is running bluepill
    version 0.0.63 - I think 0.0.62 may be causing some of these issues.

    Step:

    bluepill --version


    If it's not 0.0.63 then

    bluepill spree quit
    gem install bluepill
    bluepill load /data/spree/shared/config/spree.pill




    On Thu, May 2, 2013 at 6:21 PM, johanb wrote:

    Hey Brian,

    I've got a similar problem, I got to run the update but zero-downtime does
    not seem to work for me. Could you help me figure out why not ?

    These are the log outputs:

    https://gist.github.com/anonymous/e708e5693902856818d0

    I've removed the spree script at /etc/init

    When I deploy the site goes down with a 500 error for about a minute
    before it comes back up. The deploy script is the latest:

    namespace :foreman do
    desc "Export the Procfile to Bluepill's .pill script"
    task :export, :roles => :app do
    run "cd #{current_path} && bundle exec foreman export bluepill
    /data/#{application}/shared/config"
    sudo "bluepill load
    /data/#{application}/shared/config/#{application}.pill"
    end

    desc "Start the application services"
    task :start, :roles => :app do
    sudo "bluepill #{application} start"
    end

    desc "Stop the application services"
    task :stop, :roles => :app do
    sudo "bluepill #{application} stop"
    end

    desc "Restart the application services"
    task :restart, :roles => :app do
    sudo "bluepill #{application} restart"
    end
    end

    Thanks in advance.


    --
    Brian Quinn

    Co-Founder, CTO
    Spree Commerce, Inc.
    http://spreecommerce.com

    On Tuesday 11 December 2012 at 20:19, David Schontzler wrote:

    After running the first command it says:

    Killing previous bluepilld[1096]

    And the status is "start/running"

    But when I run the update script I get the same thing with the same
    warning:

    Warning: Augeas[set puppet start default](provider=augeas): Loading
    failed for one or more files, see debug for /augeas//error output

    --
    You received this message because you are subscribed to the Google Groups
    "Spree" group.
    To post to this group, send email to spree...@googlegroups.com.
    To unsubscribe from this group, send email to spree-user+...@**
    googlegroups.com.

    For more options, visit this group at http://groups.google.com/**
    group/spree-user?hl=en <http://groups.google.com/group/spree-user?hl=en>.


    --
    Don't miss SpreeConf on May 20-21: http://spreeconf.com
    Spree is hiring: http://spreecommerce.com/careers

    --
    Don't miss SpreeConf on May 20-21: http://spreeconf.com
    Spree is hiring: http://spreecommerce.com/careers

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupspree-user @
categoriesrubyonrails
postedDec 10, '12 at 11:36a
activeMay 3, '13 at 9:52a
posts6
users3
websitespreecommerce.com
irc#RubyOnRails

People

Translate

site design / logo © 2022 Grokbase